<?php
	if(!defined('BRAIN_CMS')) 
	{ 
		die('Sorry but you cannot access this file!'); 
	}
	/* 
		Functions list Class Admin.
		--------------- 
		error();
		gelukt();
		CheckRank();
		login();
		checkUser();
		staffpin();
		staffCheck();
		UpdateUser();
		UpdateUserOfTheWeek();
		UpdateNews();
		searchUser();
		searchUserOfTheWeek();
		EditUser();
		EditUserOfTheWeek();
		EditNews();
		LookSollie();
		DeleteNews();
		DeleteSollie();
		DeleteSollieTeam();
		DeleteBans();
		DeleteCommands();
		DeleteChatlog();
		PostNews();
		Addban();
		AddWord();
		AddbanIP();
		DeleteBugg();
		UpdateHn();
		DeleteBadges();
		DeleteHn();
		DeleteWord();
		LookSollieTeam();
	*/
	Class Admin
	{
		public static function error($errorName)
		{
			echo "<div class=\"alert alert-block alert-danger \"><strong>" . $errorName . "</div>";
		}
		public static function succeed($errorName)
		{
			echo "<div class=\"alert alert-block alert-success \"><strong>" . $errorName . "</div>";
		}
		public static function CheckRank($rank)
		{
			global $config;
			{
				if (User::userData('rank') <= $rank)
				{
					header('Location: '.$config['hotelUrl'].'/index');	
					exit();
				}
			}
		}
		public static function login()
		{
			global $dbh,$config,$lang,$emuUse;
			if (isset($_POST['login']))
			{
				if (!empty($_POST['username']))
				{
					if (!empty($_POST['password']))
					{
						$stmt = $dbh->prepare("SELECT id, password, username, rank, 2fa_status FROM players WHERE username = :username");
						$stmt->bindParam(':username', $_POST['username']); 
						$stmt->execute();
						if ($stmt->RowCount() == 1)
						{
							$row = $stmt->fetch();
							if (self::checkUser($_POST['password'], $row['password'],$row['username']))
							{	
								if ($row['2fa_status'] == '1')
								{
									$_SESSION['2fa_status'] = 1;
									$_SESSION['hk_id'] = $row['id'];
								}
								if (!$config['maintenance'] == true)
								{
									$userUpdateIp = $dbh->prepare("UPDATE players SET last_ip = :userip WHERE id = :id");
									$userUpdateIp->bindParam(':id', $row['id']);
									$userUpdateIp->bindParam(':userip', userIp());
									$userUpdateIp->execute();
									//User Session Log//
									$insertUserSession = $dbh->prepare("
									INSERT INTO
									hp_logboek
									(userid,ip,date,browser)
									VALUES
									(
									:userid, 
									:ip,
									:date,
									:browser
									)");
									$insertUserSession->bindParam(':userid', $_POST['username']);
									$insertUserSession->bindParam(':ip', userIp());
									$insertUserSession->bindParam(':date', strtotime('now'));
									$insertUserSession->bindParam(':browser', $_SERVER['HTTP_USER_AGENT']);
									$insertUserSession->execute();
									if ($row['2fa_status'] == '1')
									{
										header('Location: '.$config['hotelUrl'].'/login2fa');
										} else {
										$_SESSION['2fa_status'] = 2;
										$_SESSION['hk_id'] = $row['id'];
										header('Location: '.$config['hotelUrl'].'/hillopaneel/dash');
									}
								}
								else
								{	
									if ($row['rank'] >= $config['maintenancekMinimumRankLogin'])
									{
										$_SESSION['adminlogin'] = true;
										$_SESSION['2fa_status'] = 2;
										$_SESSION['hk_id'] = $row['id'];
										header('Location: '.$config['hotelUrl'].'/hillopaneel/dash');	
									}
									return html::error($lang["Mnologin"]);
								}
							}
							echo '<div class="box" >
					<div class="title red">
						<b>Je wachtwoord klopt niet.</b></div></div>';
																		return;
						}
						echo '<div class="box" >
					<div class="title red">
						<b>Deze gebruikersnaam bestaat niet.</b></div></div>';
																		return;
					}
					return html::error($lang["Lnopassword"]);
				}
				echo '<div class="box" >
					<div class="title red">
						<b>Vul een gebruikersnaam in.</b></div></div>';
																		return;
			}
		}
		public static function checkUser($password, $passwordDb, $username)
		{
			global $dbh;
			if (substr($passwordDb, 0, 1) == "$") 
			{
				if (password_verify($password, $passwordDb))
				{
					return true;
				}
				return false;
			}
			else 
			{
				$passwordBcrypt = self::hashed($password);
				if (md5($password) == $passwordDb) 
				{	
					$stmt = $dbh->prepare("UPDATE players SET password = :password WHERE username = :username");
					$stmt->bindParam(':username', $username); 
					$stmt->bindParam(':password', $passwordBcrypt); 
					$stmt->execute(); 
					return true;
				}
				return false;	
			}
		}
		public static function UpdateUser()
		{
			global $dbh,$config;
			if (isset($_POST['update'])) 
			{
				if ($config['hotelEmu'] == 'arcturus')
				{
					$upateUser = $dbh->prepare("UPDATE players SET 
					motto=:motto,
					username=:name,
					mail=:mail,
					credits=:credits,
					teamrank=:teamrank,
					rank=:rank
					WHERE username = :name");
					$upateUser->bindParam(':motto', $_POST['motto']); 
					$upateUser->bindParam(':name', $_POST['naam']); 
					$upateUser->bindParam(':mail', $_POST['mail']); 
					$upateUser->bindParam(':credits', $_POST['credits']); 
					$upateUser->bindParam(':teamrank', $_POST['teamrank']); 
					$upateUser->bindParam(':rank', $_POST['rank']); 
					$upateUser->execute(); 
					$getUserCurrency = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
					$getUserCurrency->bindParam(':username', $_POST['naam']);
					$getUserCurrency->execute();
					$getUserCurrencyData = $getUserCurrency->fetch();
					$updateUserCurrencyDuckets = $dbh->prepare("UPDATE players_currency SET 
					amount=:activity_points
					WHERE user_id = :user_id and type = 0");
					$updateUserCurrencyDuckets->bindParam(':user_id', $getUserCurrencyData['id']);
					$updateUserCurrencyDuckets->bindParam(':activity_points', $_POST['activity_points']);
					$updateUserCurrencyDuckets->execute(); 
					$updateUserCurrencyDiamonds = $dbh->prepare("UPDATE players_currency SET 
					amount=:vip_points
					WHERE user_id = :user_id and type = 5");
					$updateUserCurrencyDiamonds->bindParam(':user_id', $getUserCurrencyData['id']);
					$updateUserCurrencyDiamonds->bindParam(':vip_points', $_POST['vip_points']); 
					$updateUserCurrencyDiamonds->execute(); 
					Admin::succeed("De gebruiker is opgeslagen.");
				}
				else
				{
					$upateUser = $dbh->prepare("UPDATE players SET 
					motto=:motto,
					username=:name,
					email=:email,
					credits=:credits,
					vip_points=:vip_points,
					activity_points=:activity_points,
					rank_team=:rank_team,
					rank=:rank,
					figure=:figure,
					password=:password,
					reg_ip=:reg_ip
					WHERE username = :name");
					$upateUser->bindParam(':motto', $_POST['motto']); 
					$upateUser->bindParam(':name', $_POST['naam']); 
					$upateUser->bindParam(':email', $_POST['email']); 
					$upateUser->bindParam(':credits', $_POST['credits']); 
					$upateUser->bindParam(':vip_points', $_POST['vip_points']); 
					$upateUser->bindParam(':activity_points', $_POST['activity_points']); 
					$upateUser->bindParam(':rank_team', $_POST['rank_team']); 
					$upateUser->bindParam(':rank', $_POST['rank']); 
					$upateUser->bindparam(':figure', $_POST['figure']);
					$upateUser->bindParam(':password', $_POST['password']);
					$upateUser->bindParam(':reg_ip', $_POST['reg_ip']);
					$upateUser->execute(); 
					Admin::succeed("De gebruiker is opgeslagen.");
				}
			}
		}
		public static function UpdateUserOfTheWeek()
		{
			global $dbh;
			if (isset($_POST['update'])) 
			{
				$getUserData = $dbh->prepare("SELECT id,username,figure FROM players WHERE username = :name");
				$getUserData->bindParam(':name', $_POST['naam']); 
				$getUserData->execute(); 
				$upateUser2 = $getUserData->fetch();
				if ($upateUser = $dbh->prepare("UPDATE uotw SET userid=:userdata,userid2=:userdata2,userid3=:userdata3"))
				{
					$upateUser->bindParam(':userdata', $upateUser2['id']); 
					$upateUser->bindParam(':userdata2', $upateUser2['username']); 
					$upateUser->bindParam(':userdata3', $upateUser2['figure']); 
					$upateUser->execute();
					Admin::succeed("Deze gebruiker is nu Hillo van de week!");
				}
				else 
				{
					Admin::error("Foutje, probeer het opnieuw!");
				}  
			}
		}
		public static function UpdateNews()
		{
			global $dbh;
			if (isset($_POST['update'])) 
			{
				$editNews = $dbh->prepare("UPDATE cms_news SET 
				id=:id,
				title=:title,
				shortstory=:shortstory,
				longstory=:longstory,
				image=:topstory
				WHERE id = :id");
				$editNews->bindParam(':title', $_POST['title']);
				$editNews->bindParam(':shortstory', $_POST['shortstory']);
				$editNews->bindParam(':topstory', $_POST['topstory']);
				$editNews->bindParam(':longstory', $_POST['longstory']);
				$editNews->bindParam(':id', $_POST['id']);
				$editNews->execute();
				Admin::succeed("Nieuwsbericht is gewijzigd.");
			}
		}
		public static function searchUser()
		{
			global $dbh,$config;
			if(isset($_POST['zoek'])) {	
				$searchUser = $dbh->prepare("SELECT * FROM players WHERE username = :user");
				$searchUser->bindParam(':user', $_POST['user']); 
				$searchUser->execute();
				if ($searchUser->RowCount() == 1)
				{
					Admin::succeed('Speler '.$_POST['user'].' gevonden! Klik <a href ="'.$config['hotelUrl'].'/hillopaneel/gebruiker/'.$_POST['user'].'">HIER</a> om naar zijn/haar account te gaan.');
				}
				else
				{
					Admin::error("Speler ".$_POST['user']." niet gevonden!");
				}
			}
		}
		public static function searchUserOfTheWeek()
		{
			global $dbh,$config;
			if(isset($_POST['searching'])) {	
				$searchUser = $dbh->prepare("SELECT * FROM players WHERE username = :user");
				$searchUser->bindParam(':user', $_POST['user']); 
				$searchUser->execute();
				if ($searchUser->RowCount() == 1)
				{
					Admin::succeed('Speler '.$_POST['user'].' gevonden! Klik <a href ="'.$config['hotelUrl'].'/hillopaneel/giveuseroftheweek/'.$_POST['user'].'">HIER</a> om deze speler Hillo van de week te geven.');
				}
				else
				{
					Admin::error("Speler ".$_POST['user']." niet gevonden!");
				}
			}
			if(isset($_POST['delete'])) {	
				$upateUser = $dbh->prepare("UPDATE uotw SET userid = '0' ,text = 'empty'");
				$upateUser->execute();
				Admin::succeed("Hillo van de week is verwijderd.");
			}
		}
		public static function EditUser($variable)
		{
			global $dbh,$config;
			if (isset($_GET['user'])) {
				if ($config['hotelEmu'] == 'arcturus')
				{
					if ( in_array($variable, array('activity_points', 'vip_points')) )
					{
						switch($variable)
						{
							case "activity_points":
							$variable = '0';
							break;
							case "vip_points":
							$variable = '5';
							break;
							default:
							break;
						}
						$getUserCurrency = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
						$getUserCurrency->bindParam(':username', $_GET['user']);
						$getUserCurrency->execute();
						$getUserCurrencyData = $getUserCurrency->fetch();
						$stmt = $dbh->prepare("SELECT ".$variable.",user_id,type,amount FROM players_currency WHERE user_id = :id AND type = :type");
						$stmt->bindParam(':id', $getUserCurrencyData['id']);
						$stmt->bindParam(':type', $variable);
						$stmt->execute();
						if ($stmt->RowCount() > 0)
						{
							$row = $stmt->fetch();
							return $row['amount'];
						}
						else
						{
							return '0';
						}
					}
					else
					{	
						$getUser = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
						$getUser->bindParam(':username', $_GET['user']);
						$getUser->execute();
						if ($getUser->RowCount() == 1) 
						{
							$user = $getUser->fetch();
							return filter($user[$variable]);
						} 
						else 
						{
							Admin::error("Speler niet gevonden."); exit;
						}
					}
				}
				else
				{
					$getUser = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
					$getUser->bindParam(':username', $_GET['user']);
					$getUser->execute();
					if ($getUser->RowCount() == 1) 
					{
						$user = $getUser->fetch();
						return filter($user[$variable]);
					} 
					else 
					{
						Admin::error("Speler niet gevonden."); exit;
					}
				}
			}
		}
		public static function EditUserOfTheWeek($variable)
		{
			global $dbh;
			if (isset($_GET['user'])) {
				$getUser = $dbh->prepare("SELECT * FROM players WHERE username=:username LIMIT 1");
				$getUser->bindParam(':username', $_GET['user']);
				$getUser->execute();
				if ($getUser->RowCount() == 1) 
				{
					$user = $getUser->fetch();
					return filter($user[$variable]);
				} 
				else 
				{
					Admin::error("Speler niet gevonden."); exit;
				}
			}
		}
		public static function EditNews($variable)
		{
			global $dbh;
			if (isset($_GET['news'])) 
			{
				$getNews = $dbh->prepare("SELECT * FROM cms_news WHERE id=:newsid LIMIT 1");
				$getNews->bindParam(':newsid', $_GET['news']);
				$getNews->execute();
				if ($getNews->RowCount() == 1) 
				{
					$news = $getNews->fetch();
					return $news[$variable];
				} 
				else 
				{
					Admin::error("Geen nieuwsbericht gevonden."); exit;
				}
			}
		}
		public static function LookSollie($variable)
		{
			Global $dbh,$config;
			if (isset($_GET['look'])) 
			{
				$getSollie = $dbh->prepare("SELECT * FROM staffapplication WHERE id=:look LIMIT 1");
				$getSollie->bindParam(':look', $_GET['look']);
				$getSollie->execute();
				if ($getSollie->RowCount() == 1) 
				{
					$data = $getSollie->fetch();
					$datenow = date('d-m-Y', $data['date']);
					return filter($data[$variable]);
				} 
				else 
				{
					header('Location: '.$config['hotelUrl'].'/hillopaneel/contact');
				}
			}
		}
		public static function LookSollieTeam($variable)
		{
			Global $dbh,$config;
			if (isset($_GET['look'])) 
			{
				$getSollie = $dbh->prepare("SELECT * FROM teamapplication WHERE id=:look LIMIT 1");
				$getSollie->bindParam(':look', $_GET['look']);
				$getSollie->execute();
				if ($getSollie->RowCount() == 1) 
				{
					$data = $getSollie->fetch();
					$datenow = date('d-m-Y', $data['date']);
					return filter($data[$variable]);
				} 
				else 
				{
					header('Location: '.$config['hotelUrl'].'/hillopaneel/soliteam');
				}
			}
		}
		public static function DeleteNews()
		{
			Global $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteNews = $dbh->prepare("DELETE FROM cms_news WHERE id=:newsid");
				$deleteNews->bindParam(':newsid', $_GET['delete']);
				$deleteNews->execute();
				Admin::succeed('Nieuwsbericht is verwijderd.');
			}
		}
		public static function DeleteSollie()
		{
			Global $config, $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteSollie = $dbh->prepare("DELETE FROM staffapplication WHERE id=:newsid");
				$deleteSollie->bindParam(':newsid', $_GET['delete']);
				$deleteSollie->execute();
				Admin::succeed('Buggmelding is verwijderd.!');
				header('Location: '.$config['hotelUrl'].'/hillopaneel/contact');
			}
		}
		public static function DeleteSollieTeam()
		{
			Global $config, $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteSollie = $dbh->prepare("DELETE FROM teamapplication WHERE id=:newsid");
				$deleteSollie->bindParam(':newsid', $_GET['delete']);
				$deleteSollie->execute();
				Admin::succeed('Sollicitatie is verwijderd.!');
				header('Location: '.$config['hotelUrl'].'/hillopaneel/soliteam');
			}
		}
		public static function DeleteBans()
		{
			Global $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteBan = $dbh->prepare("DELETE FROM bans WHERE id=:newsid");
				$deleteBan->bindParam(':newsid', $_GET['delete']);
				$deleteBan->execute();
				Admin::succeed('Ban is verwijderd.');
			}
		}
		public static function DeleteCommands()
		{
			Global $config, $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteLog = $dbh->prepare("DELETE FROM logs WHERE id=:newsid");
				$deleteLog->bindParam(':newsid', $_GET['delete']);
				$deleteLog->execute();
				Admin::succeed('Commando log is verwijderd.');
			}
		}
		public static function DeleteChatlog()
		{
			Global $config, $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteLog = $dbh->prepare("DELETE FROM logs WHERE id=:newsid");
				$deleteLog->bindParam(':newsid', $_GET['delete']);
				$deleteLog->execute();
				Admin::succeed('Chatlog verwijderd');
			}
		}
		public static function PostNews()
		{
			global $dbh;
			if (isset($_POST['postnews']))
			{
				$_SESSION['title'] = $_POST['title'];
				$_SESSION['news'] = $_POST['news'];
				if (!empty($_POST['title']))
				{
					if (!empty($_POST['news']))
					{
						$postNews = $dbh->prepare("
						INSERT INTO cms_news(title,image,shortstory,longstory,author,date,type,roomid,updated)
						VALUES
						(
						:title,
						:topstory, 
						:slogan,
						:news,
						:id,
						:time,
						'1',
						'1',
						'1'
						)");
						$postNews->bindParam(':title', $_POST['title']);
						$postNews->bindParam(':slogan', $_POST['slogan']);
						$postNews->bindParam(':topstory', $_POST['topstory']);
						$postNews->bindParam(':news', $_POST['news']);
						$postNews->bindParam(':id', $_SESSION['id']);
						$postNews->bindParam(':time', strtotime('now'));
						$postNews->execute();
						$_SESSION['title'] = '';
						$_SESSION['kort'] = '';
						$_SESSION['news'] ='';
						Admin::succeed("Nieuwsbericht is geplaatst.");
					}
					else
					{
						Admin::error("Nieuwsbericht is leeg.");
						return;
					}
				}
				else
				{
					Admin::error("Er is geen titel ingevuld");
					return;
				}
			}
			else
			{
			}
		}
		public static function Addban()
        {
            global $dbh;
            if (isset($_POST['update'])) 
            {
                $updateban = $dbh->prepare("
                INSERT INTO 
                bans
                (id,type,expire,data,reason,added_by)
                VALUES
                (
                :id,
                :type,
                :expire,
                :data,
                :reason,
                :added_by
                )");
                $updateban->bindParam(':id', $dbh->lastInsertId());
                $updateban->bindParam(':type', $_POST['type']);
                $updateban->bindParam(':expire', $_POST['expire']);
                $updateban->bindParam(':data', $_POST['data']);
                $updateban->bindParam(':reason', $_POST['reason']);
                $updateban->bindParam(':added_by', $_POST['added_by']);
                $updateban->execute();
                Admin::succeed("Deze speler is nu verbannen.");
                header('Location: '.$config['hotelUrl'].'/hillopaneel/geefbangelukt');
            }
        }
		public static function AddWord()
        {
            global $dbh;
            if (isset($_POST['update'])) 
            {
                $upateWord = $dbh->prepare("
					INSERT INTO
					wordfilter
					(word,replacement)
					VALUES
					(
					:word,
					:replacement
					)");
					$upateWord->bindParam(':word', $_POST['word']); 
					$upateWord->bindParam(':replacement', $_POST['replacement']); 
					$upateWord->execute(); 
					Admin::succeed("Woord is toegevoegd");
            }
        }
		public static function AddbanIP()
        {
            global $dbh;
            if (isset($_POST['update'])) 
            {
                $updateban = $dbh->prepare("
                INSERT INTO 
                bans
                (id,type,expire,data,reason,added_by,ip)
                VALUES
                (
                :id,
                :type,
                :expire,
                :data,
                :reason,
                :added_by,
				:ip
                )");
                $updateban->bindParam(':id', $dbh->lastInsertId());
                $updateban->bindParam(':type', $_POST['type']);
                $updateban->bindParam(':expire', $_POST['expire']);
                $updateban->bindParam(':data', $_POST['data']);
                $updateban->bindParam(':reason', $_POST['reason']);
                $updateban->bindParam(':added_by', $_POST['added_by']);
				$updateban->bindParam(':ip', $_POST['ip']);
                $updateban->execute();
                Admin::succeed("Deze speler is nu verbannen.");
                header('Location: '.$config['hotelUrl'].'/hillopaneel/geefbangelukt');
            }
        }
		public static function DeleteBugg()
		{
			Global $config, $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteLog = $dbh->prepare("DELETE FROM profile_wall WHERE id=:newsid");
				$deleteLog->bindParam(':newsid', $_GET['delete']);
				$deleteLog->execute();
				Admin::succeed('Buggmelding verwijderd');
			}
		}
		public static function DeleteBadges()
		{
			Global $config, $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteBad = $dbh->prepare("DELETE FROM player_badges WHERE id=:newsid");
				$deleteBad->bindParam(':newsid', $_GET['delete']);
				$deleteBad->execute();
				Admin::succeed('Badge is verwijderd');
			}
		}
		public static function UpdateHn()
        {
            global $dbh;
            if (isset($_POST['update'])) 
            {
                $UpdateHotel = $dbh->prepare("
					INSERT INTO
					server_articles
					(title,message,visible)
					VALUES
					(
					:title,
					:message,
					:visible
					)");
					$UpdateHotel->bindParam(':title', $_POST['title']); 
					$UpdateHotel->bindParam(':message', $_POST['message']);
					$UpdateHotel->bindParam(':visible', $_POST['visible']);
					$UpdateHotel->execute(); 
					Admin::succeed("Hotelnieuws in de client is geplaatst");
            }
        }
		public static function DeleteHn()
		{
			Global $config, $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteHotel = $dbh->prepare("DELETE FROM server_articles WHERE id=:newsid");
				$deleteHotel->bindParam(':newsid', $_GET['delete']);
				$deleteHotel->execute();
				Admin::succeed('Hotelnieuws is verwijderd.');
			}
		}
		public static function DeleteWord()
		{
			Global $config, $dbh;
			if(isset($_GET['delete'])) 
			{ 
				$deleteWord = $dbh->prepare("DELETE FROM wordfilter WHERE word=:word");
				$deleteWord->bindParam(':word', $_GET['delete']);
				$deleteWord->execute();
				Admin::succeed('Het woordt is verwijderd');
			}
		}
    }